//
//  ViewController.m
//  ZoomIn
//
//  Created by Victor Darboux on 19/06/13.
//  Copyright (c) 2013 Victor Darboux. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

-(id)initWithCoder:(NSCoder *)aDecoder
{
    lastDistance = 0;
    return [super initWithCoder:aDecoder];
}

-(void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event
{
    CGPoint p1;
    CGPoint p2;
    CGFloat sub_x;
    CGFloat sub_y;
    CGFloat currentDistance;
    CGRect imgFrame;
    
    NSArray *touchesArr = [[event allTouches] allObjects];
    NSLog(@"nombre de doigts %d", [touchesArr count]);
    
    imgStartWidth = imageView.frame.size.width;
    imgStartHeight = imageView.frame.size.height;
    
    
    if ([touchesArr count] >= 2)
    {
        p1 = [[touchesArr objectAtIndex:0] locationInView:self.view];
        p2 = [[touchesArr objectAtIndex:1] locationInView:self.view];
        
        sub_x = p1.x - p2.x;
        sub_y = p1.y - p2.y;
        
        currentDistance=sqrtf(sub_x*sub_x+sub_y*sub_y);
        if (lastDistance > 0)
        {
            imgFrame = imageView.frame;
            if (currentDistance > lastDistance + 2)
            {
                NSLog(@"Aggrandir");
                NSLog(@"width before +10 = %f", imgFrame.size.width);
                imgFrame.size.width += 10;
                NSLog(@"width after + 10 = %f", imgFrame.size.width);
                if (imgFrame.size.width > 1000)
                    imgFrame.size.width = 1000;
                NSLog(@"width after check 1000 = %f", imgFrame.size.width);
                lastDistance = currentDistance;
            }
            if (currentDistance < lastDistance - 2)
            {
                NSLog(@"Reduire");
                imgFrame.size.width -= 10;
                if (imgFrame.size.width <50)
                    imgFrame.size.width = 50;
                lastDistance = currentDistance;
            }
            if (lastDistance == currentDistance)
            {
                NSLog(@"lastDistance = currentDistance");
                NSLog(@"imgStartHeight = %f | imgStartWidth = %f", imgStartHeight, imgStartWidth);
                imgFrame.size.height = imgStartHeight * imgFrame.size.width / imgStartWidth;
                float addwidth = imgFrame.size.width - imageView.frame.size.width;
                float addheight = imgFrame.size.height - imageView.frame.size.height;
                
                imageView.frame = CGRectMake(imgFrame.origin.x - addwidth / 2.0f,
                                             imgFrame.origin.y - addheight / 2.0f,
                                             imgFrame.size.width,
                                             imgFrame.size.height);
            }
        }
        else
        {
            lastDistance = currentDistance;
        }
    }
}

- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
    lastDistance = 0;
}

- (void)viewDidLoad
{
    imgStartWidth = imageView.frame.size.width;
    imgStartHeight = imageView.frame.size.height;
    
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


//- (void)dealloc {
//    [imageView release];
//    [super dealloc];
//}

- (IBAction)Album:(id)sender
{
    picker = [[UIImagePickerController alloc] init];
    picker.delegate = self;
    picker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
    [self presentViewController:picker animated:YES completion:nil];
}

- (void)imagePickerController:(UIImagePickerController *) Picker didFinishPickingMediaWithInfo:(NSDictionary *)info
{
    imageView.image = [info objectForKey:UIImagePickerControllerOriginalImage];
    [picker dismissViewControllerAnimated:YES completion:nil];
}

- (void)imagePickerControllerDidCancel:(UIImagePickerController *) Picker
{
    [picker dismissViewControllerAnimated:YES completion:nil];
    imageView.image = nil;
}

@end